class GithubPocs < ActiveRecord::Migration[7.0]
  def change
    create_table :github_pocs do |t|
      t.integer :github_poc_id
      t.index :github_poc_id, unique: true
      t.string :cve_id, default: "None"
      t.string :name
      t.string :full_name
      t.jsonb :owner
      t.string :html_url
      t.string :description
      t.boolean :fork
      t.date :created_at
      t.date :updated_at
      t.date :pushed_at
      t.integer :stargazers_count
      t.integer :watchers_count
      t.integer :forks_count
      t.boolean :allow_forking
      t.boolean :is_template
      t.string :topics, array: true
      t.string :visibility
      t.integer :forks
      t.integer :watchers
      t.integer :score
    end
  end
end
