class CreateGithubAdvisories < ActiveRecord::Migration[7.0]
  def change
    create_table :github_advisories do |t|
      t.string :schema_version
      t.string :ghsa_id
      t.index :ghsa_id, unique: true
      t.date :modified
      t.date :published
      t.string :aliases, array: true
      t.string :summary
      t.string :details
      t.jsonb :severity
      t.jsonb :affected
      t.jsonb :references
      t.jsonb :database_specific
    end
  end
end
